import { h, JSX } from "preact";
export declare enum ButtonFormats {
    DEFAULT = 0,
    PRIMARY = 1,
    SECONDARY = 2,
    ERROR = 3,
    SUCCESS = 4
}
export interface IButtonProps extends JSX.HTMLAttributes<HTMLButtonElement> {
    format: ButtonFormats;
}
export default function Button({ children, format, className, class: c, ...props }: IButtonProps): h.JSX.Element;
