import { h, JSX } from "preact";
export declare function Input({ className, children, class: c, ...props }: JSX.HTMLAttributes<HTMLInputElement>): h.JSX.Element;
export declare function TextArea({ className, children, class: c, ...props }: JSX.HTMLAttributes<HTMLTextAreaElement>): h.JSX.Element;
export declare function InputGroup({ className, children, class: c, ...props }: JSX.HTMLAttributes<HTMLDivElement>): h.JSX.Element;
export interface IInputCheckboxProps {
    label: string;
}
export declare function InputCheckbox({ label, ...props }: IInputCheckboxProps & JSX.HTMLAttributes<HTMLInputElement>): h.JSX.Element;
export interface IInputRadioProps {
    label: string;
}
export declare function InputRadio({ label, ...props }: IInputCheckboxProps & JSX.HTMLAttributes<HTMLInputElement>): h.JSX.Element;
export declare function InputSelect({ className, class: c, children, ...props }: JSX.HTMLAttributes<HTMLSelectElement>): h.JSX.Element;
