import { h } from "preact";
export default function List({ clickable, divider, className, class: c, children, ...props }) {
    let cl = "ht-list ";
    if (clickable)
        cl += "ht-list-clickable ";
    if (divider)
        cl += "ht-list-divider ";
    return (h("ul", Object.assign({ className: cl + (className || "") + c }, props), children));
}
//# sourceMappingURL=List.js.map