import { h, JSX } from "preact";
export declare function Modal({ hidden, className, children, ...props }: JSX.HTMLAttributes<HTMLDivElement> & {
    hidden?: boolean;
}): h.JSX.Element;
export declare function ModalTitle({ className, children, ...props }: JSX.HTMLAttributes<HTMLDivElement>): h.JSX.Element;
export declare function ModalContent({ className, class: c, children, ...props }: JSX.HTMLAttributes<HTMLDivElement>): h.JSX.Element;
export declare function ModalActions({ className, class: c, children, ...props }: JSX.HTMLAttributes<HTMLDivElement>): h.JSX.Element;
