import { h, JSX } from "preact";

export default function Fab({
   className,
   children,
   alignLeft,
   class: c,
   ...props
}: JSX.HTMLAttributes<HTMLButtonElement> & {
   alignLeft: boolean;
}) {
   let cl = "ht-fab " + (alignLeft ? "ht-fab-left " : "");

   return (
      <button className={cl + (className || "") + (c || "")} {...props}>
         {children}
      </button>
   );
}
