import { h, JSX } from "preact";

export default function Table({
   className,
   class: c,
   children,
   ...props
}: JSX.HTMLAttributes<HTMLDivElement>) {
   return (
      <div className={"ht-table " + (className || "") + (c || "")} {...props}>
         {children}
      </div>
   );
}
