import { h, JSX } from "preact";
export default function Card({
   className,
   class: c,
   children,
   ...props
}: JSX.HTMLAttributes<HTMLDivElement>) {
   return (
      <div className={"ht-card " + (className || "") + (c || "")} {...props}>
         {children}
      </div>
   );
}
