import { h, JSX } from "preact";
export default function Container({
   className,
   children,
   class: c,
   ...props
}: JSX.HTMLAttributes<HTMLDivElement>) {
   return (
      <div
         className={"ht-container " + (className || "") + (c || "")}
         {...props}
      >
         {children}
      </div>
   );
}
