import { h, JSX } from "preact";

//TODO: Implement predefined children styles

export default function Header({
   children,
   className,
   class: c,
   ...props
}: JSX.HTMLAttributes<HTMLDivElement>) {
   return (
      <header
         className={"ht-header " + (className || "") + (c || "")}
         {...props}
      >
         {children}
      </header>
   );
}
