import { h, JSX } from "preact";
export default function IconButton({
   children,
   className,
   class: c,
   ...props
}: JSX.HTMLAttributes<HTMLButtonElement>) {
   return (
      <button
         className={"ht-btn ht-btn-icon " + (className || "") + (c || "")}
         {...props}
      >
         {children}
      </button>
   );
}
